Loading...
Searching...
No Matches
BALL::Division< First, Second, DataType > Class Template Reference

`#include <BALL/MATHS/function.h>`

## Public Member Functions

Constructors and destructor
| Division ()
| Division (const Division &division)
virtual | ~Division ()
Assignment
Division< First, Second, DataType > & | operator= (const Division< First, Second, DataType > &division)
Predicates
bool | operator== (const Division< First, Second, DataType > &division) const
Function realization
BALL_INLINE DataType | operator() (const DataType &x) const

## Accessors

First | first_
Second | second_
void | setFirst (const First &first)
First & | getFirst ()
void | setSecond (const Second &second)
Second & | getSecond ()

## Detailed Description

template<typename First, typename Second, typename DataType = float>
class BALL::Division< First, Second, DataType >

Division class.

Definition at line 489 of file function.h.

## Constructor & Destructor Documentation

## Division() [1/2]

template<typename First, typename Second, typename DataType>

BALL_INLINE BALL::Division< First, Second, DataType >::Division | ( |  | ) |

Default constructor

Definition at line 1148 of file function.h.

## Division() [2/2]

template<typename First, typename Second, typename DataType>

BALL_INLINE BALL::Division< First, Second, DataType >::Division | ( | const Division< First, Second, DataType > & | division | ) |

Copy constructor

Definition at line 1156 of file function.h.

## ~Division()

template<typename First, typename Second, typename DataType>

BALL_INLINE BALL::Division< First, Second, DataType >::~Division | ( |  | ) |

virtual

Destructor

Definition at line 1164 of file function.h.

## Member Function Documentation

## getFirst()

template<typename First, typename Second, typename DataType = float>

First & BALL::Division< First, Second, DataType >::getFirst | ( |  | ) |

inline

get the first argument of the division

Returns
  a const reference to the first argument

Definition at line 568 of file function.h.

## getSecond()

template<typename First, typename Second, typename DataType = float>

Second & BALL::Division< First, Second, DataType >::getSecond | ( |  | ) |

inline

get the second argument of the division

Returns
  a const reference to the second argument

Definition at line 583 of file function.h.

## operator()()

template<typename First, typename Second, typename DataType = float>

BALL_INLINE DataType BALL::Division< First, Second, DataType >::operator() | ( | const DataType & | x | ) | const

inline

Evaluation of this subterm

Parameters

  x | the point where to evaluate

Returns
  the function value

Exceptions

  Exception::DivisonByZero | if the divisor is zero

Definition at line 540 of file function.h.

## operator=()

template<typename First, typename Second, typename DataType>

BALL_INLINE Division< First, Second, DataType > & BALL::Division< First, Second, DataType >::operator= | ( | const Division< First, Second, DataType > & | division | ) |

Assignment operator

Definition at line 1170 of file function.h.

## operator==()

template<typename First, typename Second, typename DataType>

BALL_INLINE bool BALL::Division< First, Second, DataType >::operator== | ( | const Division< First, Second, DataType > & | division | ) | const

Equality operator

Definition at line 1179 of file function.h.

## setFirst()

template<typename First, typename Second, typename DataType = float>

void BALL::Division< First, Second, DataType >::setFirst | ( | const First & | first | ) |

inline

set the first argument of the division

Definition at line 560 of file function.h.

## setSecond()

template<typename First, typename Second, typename DataType = float>

void BALL::Division< First, Second, DataType >::setSecond | ( | const Second & | second | ) |

inline

set the second argument of the division

Definition at line 575 of file function.h.

## Member Data Documentation

## first_

template<typename First, typename Second, typename DataType = float>

First BALL::Division< First, Second, DataType >::first_

protected

Definition at line 594 of file function.h.

## second_

template<typename First, typename Second, typename DataType = float>

Second BALL::Division< First, Second, DataType >::second_

protected

Definition at line 598 of file function.h.